FileResult
Contains metadata and the counts and results for a single file.
Fields
| Field | Type | Description |
|---|---|---|
| accessibleBySidsRepresentation | String! | Representation of SIDs that can access this file. |
| accessibleBySidsRepresentationShortForm | String! | A short form of representation of SIDs that will be used by indexing. |
| analyzerGroupResults | [AnalyzerGroupResult!]! | Per-analyzer-group classification result counts for the file. |
| analyzerResults | [AnalyzerResult!]! | Per-analyzer classification result counts for the file. |
| analyzerRiskHits | AnalyzerHits | Analyzer risk hits for various risk levels. |
| attributesSummary | [AttributesSummary!]! | Summarizes attributes associated with the file. |
| createdBy | String! | Represents Identity who created the file. |
| creationTime | Long! | Represents the creation time of the file. |
| dbEntityType | DatabaseEntityType! | Represents the type of database entity. |
| directory | String! | Directory containing the file. |
| documentTypesSummary | [DocumentTypeSummary!]! | Summarizes the document types associated with the file. |
| errorCode | AnalyzerErrorCode! | Error encountered while analyzing the file, if any. |
| exposureSummary | [ExposureSummary!]! | Represents the number of files associated with different exposure types. |
| filename | String! | Name of the file, without its directory. |
| filesWithHits | Hits | Represents files with sensitive hits. |
| filesWithTotalHits | Hits | Represents files with the total number of hits, including sensitive and non-sensitive hits. |
| hits | Hits! | Sum of hit counts across all analyzer groups. |
| isDirectAcl | Boolean! | Represents if file has direct ACL. |
| lastAccessTime | Long! | Time the file was last accessed, in epoch seconds. |
| lastModifiedTime | Long! | Time the file was last modified, in epoch seconds. |
| lastScanTime | Long! | Represents the last scan time of the file. |
| mipLabelsSummary | [MipLabelSummary!]! | Represents the MIP Labels attached inside files for the path and their sensitive files count. |
| mode | DataGovFileMode! | The file mode. |
| modifiedBy | String! | Represents Identity who last modified the file. |
| nativePath | String! | The native path formatted for the OS or share type, composed as directory + native path separator + filename. |
| numActivities | Long! | Number of access activities recorded for the file. |
| numActivitiesBreakdown | [ActivityResult!]! | Breakdown of access activities by type. |
| numActivitiesDelta | Long! | Change in activity count relative to the previous period. |
| numChildren | Long! | Represents number of children at each level. |
| numDescendantErrorFiles | Long! | Number of descendant files that could not be analyzed due to errors. |
| numDescendantFiles | Int! | Number of files contained under this directory. |
| numDescendantFolders | Long! | Number of folders contained under this directory. |
| numDescendantSkippedExtFiles | Long! | Number of descendant files skipped because of their extension. |
| numDescendantSkippedSizeFiles | Long! | Number of descendant files skipped because of their size. |
| openAccessFiles | Hits | Represents open access files. |
| openAccessFilesWithHits | Hits | Represents open access files with sensitive hits. |
| openAccessFolders | Hits | Represents open access folders. |
| openAccessStaleFiles | Hits | Represents open access stale files. |
| openAccessType | OpenAccessType! | Open-access classification of the file. |
| owner | String! | Owner of the file. |
| paginationId | String! | A unique identifier for the file result object, used for paginating results. |
| principalAccessInfo | PrincipalAccessInfo | Represents principal access information for the file. |
| riskLevel | RiskLevelType! | Risk level of the file. |
| riskReasons | [RiskReason!]! | File access risk reasons. |
| sensitiveFiles | SensitiveFiles | Sensitive file count for various risk levels. |
| sensitiveHits | SensitiveHits | Represents sensitivity hits for various sensitivity levels. |
| size | Long! | Size of the file in bytes. |
| snappable | HierarchyObject! | The workload that this file belongs to. |
| snapshotFid | String! | The snapshot identifier for this file result. |
| snapshotTimestamp | Long! | Snapshot time of the crawled data, in epoch seconds. |
| staleFiles | Hits | Represents total stale files. |
| staleFilesWithHits | Hits | Represents stale files with sensitive hits. |
| stalenessType | StalenessType! | Staleness classification of the file. |
| stdPath | String! | Standardized path (Linux style). Use this path for any path-based query parameters. |
| totalHits | Hits | Represents the total number of hits, including sensitive and non-sensitive hits. |
| totalSensitiveHits | Long! | Represents the sum of high, medium, and low sensitive hits. |
| type | String! | |
| userAccessType | UserAccessType! | Represents the type of user access for a file. |
Used By
Queries
- query: objectFiles (via connection)
- query: policyObjFolderChildren (via connection)
- query: userActivities (via connection)
Referenced by